=== debian/changelog ===
ros-rolling-rmf-traffic-msgs (1.4.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Grey <grey@openrobotics.org>  Mon, 06 Sep 2021 04:52:21 -0000
