## ros-rolling-rmf-traffic-msgs 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,12 +29,11 @@
   "msg/Circle.msg"
   "msg/ConvexShape.msg"
   "msg/ConvexShapeContext.msg"
-  "msg/FailOverEvent.msg"
   "msg/Heartbeat.msg"
   "msg/Itinerary.msg"
   "msg/ItineraryClear.msg"
   "msg/ItineraryDelay.msg"
-  "msg/ItineraryErase.msg"
+  "msg/ItineraryReached.msg"
   "msg/ItineraryExtend.msg"
   "msg/ItinerarySet.msg"
   "msg/MirrorUpdate.msg"
@@ -43,8 +42,10 @@
   "msg/Region.msg"
   "msg/Route.msg"
   "msg/ScheduleChangeAdd.msg"
+  "msg/ScheduleChangeAddItem.msg"
   "msg/ScheduleChangeCull.msg"
   "msg/ScheduleChangeDelay.msg"
+  "msg/ScheduleChangeProgress.msg"
   "msg/NegotiationAck.msg"
   "msg/NegotiationKey.msg"
   "msg/NegotiationConclusion.msg"
@@ -55,8 +56,14 @@
   "msg/NegotiationRefusal.msg"
   "msg/NegotiationRejection.msg"
   "msg/NegotiationRepeat.msg"
+  "msg/NegotiationState.msg"
+  "msg/NegotiationStates.msg"
+  "msg/NegotiationStatus.msg"
+  "msg/NegotiationStatuses.msg"
+  "msg/NegotiationTreeNode.msg"
   "msg/Participant.msg"
   "msg/Participants.msg"
+  "msg/ScheduleIdentity.msg"
   "msg/ScheduleInconsistency.msg"
   "msg/ScheduleInconsistencyRange.msg"
   "msg/ScheduleParticipantPatch.msg"
@@ -65,11 +72,11 @@
   "msg/ScheduleQueries.msg"
   "msg/ScheduleQueryParticipants.msg"
   "msg/ScheduleQuerySpacetime.msg"
-  "msg/ScheduleWriterItem.msg"
   "msg/Shape.msg"
   "msg/ShapeContext.msg"
   "msg/Space.msg"
   "msg/Timespan.msg"
+  "msg/TrafficDependency.msg"
   "msg/Trajectory.msg"
   "msg/TrajectoryWaypoint.msg"
 )
