=== debian/changelog ===
ros-rolling-rmf-traffic-msgs (3.2.0-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (3.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs
  * Version updates from latest release synced to main (#54 <https://github.com/open-rmf/rmf_internal_msgs/pull/54>)
  * Contributors: Esteban Martinena Guerrero, Yadunund

 -- Grey <grey@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (3.0.2-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 05 Oct 2022 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (3.0.1-1jammy) jammy; urgency=high

  * Robust schedule failover (#48 <https://github.com/open-rmf/rmf_internal_msgs/pull/48>)

 -- Grey <grey@openrobotics.org>  Mon, 26 Sep 2022 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (2.0.0-1jammy) jammy; urgency=high

  * Add message definitions to communicate the states of ongoing negotiations: (#45 <https://github.com/open-rmf/rmf_internal_msgs/pull/45>)
  * Add structs for traffic dependency system: (#37 <https://github.com/open-rmf/rmf_internal_msgs/pull/37>)

 -- Grey <grey@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (1.4.0-1jammy) jammy; urgency=high

  * More efficient schedule updating: (#22 <https://github.com/open-rmf/rmf_traffic/pull/22>), (#23 <https://github.com/open-rmf/rmf_traffic/pull/23>), (#24 <https://github.com/open-rmf/rmf_traffic/pull/24>)
  * Enable redundancy for traffic schedule node: (#16 <https://github.com/open-rmf/rmf_traffic/pull/1>)

 -- Grey <grey@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (1.3.0-1jammy) jammy; urgency=high

  * Add an itinerary_version field: (#10 <https://github.com/open-rmf/rmf_internal_msgs/pull/10>)
  * Use topics to update schedule mirrors: (#6 <https://github.com/open-rmf/rmf_internal_msgs/pull/6>)
  * Add persistence to Traffic Schedule Participant IDs: (#242 <https://github.com/osrf/rmf_core/pull/242>)

 -- Grey <grey@openrobotics.org>  Wed, 26 May 2021 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (1.2.0-1jammy) jammy; urgency=high

  * Adding blockade management messages: (#226 <https://github.com/osrf/rmf_core/pull/226>)

 -- Grey <grey@openrobotics.org>  Mon, 04 Jan 2021 16:00:00 -0000

ros-rolling-rmf-traffic-msgs (1.0.0-1jammy) jammy; urgency=high

  * Messages for transmitting rmf_traffic API data structures over ROS2
  * Contributors: Aaron Chong, Grey, Marco A. Gutiérrez, Morgan Quigley, Yadu, koonpeng

 -- Grey <grey@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000
